/**
 * 
 */
package org.processmining.plugins.pnalignanalysis.conformance;

import javax.swing.JCheckBox;
import javax.swing.JPanel;

import com.fluxicon.slickerbox.factory.SlickerFactory;

/**
 * @author aadrians
 * Jan 23, 2012
 *
 */
public class AlignmentPrecGenPanel extends JPanel {

	private static final long serialVersionUID = -8976454631502694603L;
	private JCheckBox groupTracesCB;

	public AlignmentPrecGenPanel(){
		groupTracesCB = SlickerFactory.instance().createCheckBox("Consider traces with the same sequence of activities as one trace class", true);
		add(groupTracesCB);
	}
	
	/**
	 * If true, traces with the same sequence of activities are considered as one trace class
	 * @return
	 */
	public boolean isTracesGrouped(){
		return groupTracesCB.isSelected();
	}
}
