/**
 * 
 */
package org.processmining.plugins.pnalignanalysis.visualization.projection;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BoxLayout;
import javax.swing.JPanel;

import org.freehep.graphicsbase.util.export.ExportDialog;
import org.processmining.framework.util.ui.scalableview.ScalableComponent;
import org.processmining.framework.util.ui.widgets.WidgetColors;

import com.fluxicon.slickerbox.components.SlickerButton;

/**
 * @author aadrians
 * Nov 1, 2011
 *
 */
public class ExportPanel extends JPanel {
	private static final long serialVersionUID = 7153768335241741777L;

	private SlickerButton exportButton;
	
	public ExportPanel(final ScalableComponent graph){
		
		setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
		exportButton = new SlickerButton("Export graph as image...");
		exportButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				ExportDialog export = new ExportDialog();
				export.showExportDialog(null, "Export graph as ...", graph.getComponent(), "View");
			}
		});
		
		// add elements
		this.add(exportButton);
		this.setBackground(WidgetColors.PROPERTIES_BACKGROUND);
		
	}
	
}